(***********************************************************************)
(*                                                                     *)
(*                                Sklml                                *)
(*                                                                     *)
(*                 The OCaml parallel skeleton system                  *)
(*                                                                     *)
(*                  projet Estime, INRIA-Rocquencourt                  *)
(*                                                                     *)
(*  Copyright 2007-2011 INRIA.                                         *)
(*  Institut National de Recherche en Informatique et en Automatique.  *)
(*  All rights reserved. This file is distributed only by permission.  *)
(*                                                                     *)
(*  Quentin Carbonneaux <Quentin.Carbonneaux@inria.fr>                 *)
(*  Francois Clement <Francois.Clement@inria.fr>                       *)
(*  Pierre Weis <Pierre.Weis@inria.fr>                                 *)
(*                                                                     *)
(***********************************************************************)

(* $Id: lrope.mli,v 1.5.2.1 2011-09-21 13:08:04 fclement Exp $ *)

(* Linear ropes, optimized for big buffers handling *)

type t;;

val length : t -> int;;
val empty : t;;
val string_append : t -> string -> t;;
val rev_list_append : t -> string list -> t;;
val list_append : t -> string list -> t;;
val index : t -> char -> int option;;
val take_n : t -> int -> string;;
val skip_n : t -> int -> t;;
val get_c : t -> char;;
val concat : t -> t -> t;;
